- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.LegacyListCaseFederationPlatformsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances/legacyCaseFederationPlatforms#body.aspect_1)

**Full name**: projects.locations.instances.legacyCaseFederationPlatforms

Lists all LegacyCaseFederationPlatforms configured in the primary instance. Use this method to browse the set of secondary instances that are currently federating their case data.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/legacyCaseFederationPlatforms`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of LegacyCaseFederationPlatforms. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of case federation platforms to return. The service may return fewer than this value. If unspecified, at most 50 LegacyCaseFederationPlatforms will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `ListLegacyCaseFederationPlatforms` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListLegacyCaseFederationPlatforms` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for ListLegacyCaseFederationPlatforms

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "legacyCaseFederationPlatforms": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCaseFederationPlatforms#LegacyCaseFederationPlatform`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `legacyCaseFederationPlatforms[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyCaseFederationPlatforms#LegacyCaseFederationPlatform`)`` The list of LegacyCaseFederationPlatforms. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.legacyCaseFederationPlatforms.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).